Get the immediate and the highest level parent for a device.

get

/topology/v2/vertex/device/typeid/{typeid}/referenceid/{referenceid}/parentDetails

Get the immediate and the highest level parent for the given referenceId and type id.

Request

Path Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Parent details returned successfully.
Body ()
Root Schema : DeviceAndTopMostParent
Type: object
Show Source
Nested Schema : schema
Type: object
Show Source
Nested Schema : bridgeEdges
Type: array
Unique Items Required: true
Show Source
Nested Schema : pathIds
Type: array
Unique Items Required: true
Show Source
Nested Schema : properties
Type: object
Additional Properties Allowed
Show Source
Nested Schema : relationships
Type: object
Additional Properties Allowed
Show Source
Nested Schema : BridgeEdge
Type: object
Show Source
Examples

400 Response

The request isn't valid
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

401 Response

The request is unauthorized
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

403 Response

The request is forbidden
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

404 Response

The requested resource not found
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

500 Response

An Internal Server Error has occurred
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source
Back to Top